package ExportReport;

import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportElements.ReportChartObject;
import quadbase.reportdesigner.ReportViewer.Viewer;
import quadbase.reportdesigner.util.ColInfo;

public class ExportReport extends Applet {
	static final long serialVersionUID = 1;

	public static void main(java.lang.String[] args) {

		try {
			ExportReport report = new ExportReport();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", report.doExportReport(frame));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doExportReport(this));
	}

	Component doExportReport(Object parent) {
		QbReport.setEspressManagerUsed(false);
		ColInfo colInfo[] = new ColInfo[4];
		for (int i = 0; i < colInfo.length; i++) {
			//			Map data column to the Report column
			colInfo[i] = new ColInfo(i);
		}

		QbReport report = null;
		try {
			report = new QbReport
					(parent, // applet 
							"ExportReport.rpt"); // template

			ReportChartObject chartObject = new ReportChartObject();
			String chartLocation0 = new String("ExportReport0.tpl");
			chartObject.setText(chartLocation0);
			chartObject.setWidth(7);
			chartObject.setHeight(3);
			chartObject.setImageType(QbReport.JPEG);

			report.getReportFooter().addData(chartObject);

			report.export(QbReport.DHTML, "ExportReport");

		} catch (Exception ex) {
			System.out.println("Cannot create the report");
			ex.printStackTrace();
		}

		return (new Viewer().getComponent(report));
	}
}
